Subject: bug#36678: 27.0.50; imenu not working in C++ (maybe because of namespace)

From: Richard Stallman <[email-masked]>
Date: Sun, 04 Aug 2019 22:25:56 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Simplifying conventions are only workable if they are used throughout
  > the codebase.  If you have a one-man development team that's fine but 
  > convincing a larger team to adjust their coding conventions to support
  > one editor is generally not feasible.

You could say the same about our old conventions, such as open-paren
in column zero and function name in column zero.  Projects of all sizes
adopted them because they were helpful.

I therefore urge Emacs developers to work on improvements along these
lines.  If not everyone uses them, that's not our problem.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)